<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Creatures/Animals/AnimalBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/db7/_animal_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AnimalBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/db7/_animal_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/dcc/class_day_z_animal.html">DayZAnimal</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/dcc/class_day_z_animal.html#af9d7f2faa8812c46403f617180dcb40b">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/dcc/class_day_z_animal.html#af9d7f2faa8812c46403f617180dcb40b">IsRefresherSignalingViable</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>}</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="keyword">class </span><a class="code hl_class" href="../../de/db7/_animal_base_8c.html#d2/d59/class_animal___bos_taurus">Animal_BosTaurus</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#ae18bf202ea7e79b44ee3d5a9f7a42703">   12</a></span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 5);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Belly&quot;</span>, 25);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;CattleBellow_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;CattleMooA_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html">   33</a></span><span class="keyword">class </span>Animal_BosTaurusF <span class="keyword">extends</span> <a class="code hl_class" href="../../de/db7/_animal_base_8c.html#d2/d59/class_animal___bos_taurus">Animal_BosTaurus</a> {}</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="keyword">class </span>Animal_CanisLupus <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>{</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 2);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs_Back&quot;</span>, 75);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs_Front&quot;</span>, 70);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#aa66f6a10a167b3aab1ced9f813a84873">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#aa66f6a10a167b3aab1ced9f813a84873">IsDanger</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;WolfWhimper_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;WolfBark_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>}</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html">   65</a></span><span class="keyword">class </span>Animal_CapraHircus <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 4);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;GoatBleat_B_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;GoatBleat_A_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>}</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="keyword">class </span>Animal_CapraHircusF <span class="keyword">extends</span> Animal_CapraHircus {}</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="keyword">class </span><a class="code hl_class" href="../../de/db7/_animal_base_8c.html#d1/d6d/class_animal___capreolus_capreolus">Animal_CapreolusCapreolus</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 4);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a>()</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HareSquawk_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a>()</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HareChirp_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html">  113</a></span><span class="keyword">class </span>Animal_CapreolusCapreolusF <span class="keyword">extends</span> <a class="code hl_class" href="../../de/db7/_animal_base_8c.html#d1/d6d/class_animal___capreolus_capreolus">Animal_CapreolusCapreolus</a> {}</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="keyword">class </span><a class="code hl_class" href="../../de/db7/_animal_base_8c.html#dc/d62/class_animal___cervus_elaphus">Animal_CervusElaphus</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>{</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 2);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeerBleat_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeerRoar_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>}</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html">  138</a></span><span class="keyword">class </span>Animal_CervusElaphusF <span class="keyword">extends</span> <a class="code hl_class" href="../../de/db7/_animal_base_8c.html#dc/d62/class_animal___cervus_elaphus">Animal_CervusElaphus</a> {}</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html">Animal_GallusGallusDomesticus</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>{</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Spine&quot;</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Spine&quot;</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Head&quot;</span>, 1);</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Head&quot;</span>, 5);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Head&quot;</span>, 20);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;LArm1&quot;</span>, 33);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;RArm1&quot;</span>, 33);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Spine&quot;</span>, 70);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a>()</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HenScream_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a>()</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HenCluck_X_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#a57f78023773e268aced849838649291a">  165</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#a57f78023773e268aced849838649291a">ReplaceOnDeath</a>()</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#ac41954dab14abd446b1c1ad9b3beab0e">  170</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ac41954dab14abd446b1c1ad9b3beab0e">CanBeSkinned</a>()</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#a839948b6f7b99a323f4335d035a93e94">  175</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html#ae9f0e350f00c6bf0fe2476a52a292c99">GetDeadItemName</a>()</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeadRooster&quot;</span>;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../de/db7/_animal_base_8c.html#ae5ccab0782b5c43c9bef337d3216c8da">  180</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#ae5ccab0782b5c43c9bef337d3216c8da">KeepHealthOnReplace</a>()</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>}</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html">  186</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html">Animal_GallusGallusDomesticus</a> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>{</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html#ae9f0e350f00c6bf0fe2476a52a292c99">  188</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html#ae9f0e350f00c6bf0fe2476a52a292c99">GetDeadItemName</a>()</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeadChicken_Brown&quot;</span>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>}</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="keyword">class </span>Animal_GallusGallusDomesticusF_Brown <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>{</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html#a027d75b2743bd2bc86f224a7bf9a04da">GetDeadItemName</a>()</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeadChicken_Brown&quot;</span>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>}</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">  202</a></span><span class="keyword">class </span>Animal_GallusGallusDomesticusF_Spotted <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>{</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html#a027d75b2743bd2bc86f224a7bf9a04da">  204</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html#a027d75b2743bd2bc86f224a7bf9a04da">GetDeadItemName</a>()</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeadChicken_Spotted&quot;</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>}</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span><span class="keyword">class </span>Animal_GallusGallusDomesticusF_White <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>{</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html#a027d75b2743bd2bc86f224a7bf9a04da">GetDeadItemName</a>()</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DeadChicken_White&quot;</span>;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>}</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="keyword">class </span>Animal_OvisAries <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>{</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">  221</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Chest&quot;</span>;</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 4);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 15);</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 55);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">  233</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;SheepBleat_E_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">  238</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;SheepBleat_G_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>}</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="keyword">class </span>Animal_OvisAriesF <span class="keyword">extends</span> Animal_OvisAries {}</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span> </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="keyword">class </span>Animal_SusDomesticus <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>{</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Spine&quot;</span>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Spine1&quot;</span>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 5);</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Belly&quot;</span>, 25);</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Chest&quot;</span>, 50);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    {</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HogSqueal_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    }</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    {</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HogGrunt_G_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>}</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span><span class="keyword">class </span>Animal_SusScrofa <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>{</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">  272</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    {</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Spine&quot;</span>;</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 3);</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 55);</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Belly&quot;</span>, 15);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>    </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">  283</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>    {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HogSqueal_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>    }</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>    </div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno"><a class="line" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">  288</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    {</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;HogGrunt_G_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>}</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span><span class="keyword">class </span>Animal_UrsusArctos <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>{</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">RegisterHitComponentsForAI</a>()</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>    {</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a> = <span class="stringliteral">&quot;Zone_Head&quot;</span>;</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>        <a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a> = <span class="stringliteral">&quot;Pelvis&quot;</span>;</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>        </div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Head&quot;</span>, 25);</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Belly&quot;</span>, 50);</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Neck&quot;</span>, 65);</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>        <a class="code hl_class" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a>.<a class="code hl_function" href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">RegisterHitComponent</a>(<a class="code hl_variable" href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a>, <span class="stringliteral">&quot;Zone_Legs&quot;</span>, 70);</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>    }</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>    </div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db7/_animal_base_8c.html#aa66f6a10a167b3aab1ced9f813a84873">IsDanger</a>()</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>    {</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>    }</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>    </div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">CaptureSound</a>()</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>    {</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;BearSnarl_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>    }</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>    </div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">ReleaseSound</a>()</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>    {</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;BearRoarShort_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>    }</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>}</div>
<div class="ttc" id="a_animal_base_8c_html_a57f78023773e268aced849838649291a"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#a57f78023773e268aced849838649291a">ReplaceOnDeath</a></div><div class="ttdeci">override bool ReplaceOnDeath()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00165">AnimalBase.c:165</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_a7610f1938e082304c0a182cec4882c85"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a></div><div class="ttdeci">override string ReleaseSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00028">AnimalBase.c:28</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_a9963015efd45ba5607f7ac42e039f4d7"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a></div><div class="ttdeci">override string CaptureSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00023">AnimalBase.c:23</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_aa66f6a10a167b3aab1ced9f813a84873"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#aa66f6a10a167b3aab1ced9f813a84873">IsDanger</a></div><div class="ttdeci">override bool IsDanger()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00049">AnimalBase.c:49</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_ac41954dab14abd446b1c1ad9b3beab0e"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#ac41954dab14abd446b1c1ad9b3beab0e">CanBeSkinned</a></div><div class="ttdeci">override bool CanBeSkinned()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00170">AnimalBase.c:170</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_ae52be22902445a9e766534119decaf6d"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a></div><div class="ttdeci">class AnimalBase extends DayZAnimal RegisterHitComponentsForAI()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00001">AnimalBase.c:11</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_ae5ccab0782b5c43c9bef337d3216c8da"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#ae5ccab0782b5c43c9bef337d3216c8da">KeepHealthOnReplace</a></div><div class="ttdeci">override bool KeepHealthOnReplace()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00180">AnimalBase.c:180</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_d1/d6d/class_animal___capreolus_capreolus"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#d1/d6d/class_animal___capreolus_capreolus">Animal_CapreolusCapreolus</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00113">AnimalBase.c:113</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_d2/d59/class_animal___bos_taurus"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#d2/d59/class_animal___bos_taurus">Animal_BosTaurus</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00033">AnimalBase.c:33</a></div></div>
<div class="ttc" id="a_animal_base_8c_html_dc/d62/class_animal___cervus_elaphus"><div class="ttname"><a href="../../de/db7/_animal_base_8c.html#dc/d62/class_animal___cervus_elaphus">Animal_CervusElaphus</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00138">AnimalBase.c:138</a></div></div>
<div class="ttc" id="aclass_animal___gallus_gallus_domesticus_f_html"><div class="ttname"><a href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00202">AnimalBase.c:203</a></div></div>
<div class="ttc" id="aclass_animal___gallus_gallus_domesticus_f_html_a027d75b2743bd2bc86f224a7bf9a04da"><div class="ttname"><a href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html#a027d75b2743bd2bc86f224a7bf9a04da">Animal_GallusGallusDomesticusF::GetDeadItemName</a></div><div class="ttdeci">override string GetDeadItemName()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00204">AnimalBase.c:204</a></div></div>
<div class="ttc" id="aclass_animal___gallus_gallus_domesticus_html"><div class="ttname"><a href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html">Animal_GallusGallusDomesticus</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00186">AnimalBase.c:187</a></div></div>
<div class="ttc" id="aclass_animal___gallus_gallus_domesticus_html_ae9f0e350f00c6bf0fe2476a52a292c99"><div class="ttname"><a href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html#ae9f0e350f00c6bf0fe2476a52a292c99">Animal_GallusGallusDomesticus::GetDeadItemName</a></div><div class="ttdeci">override string GetDeadItemName()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00188">AnimalBase.c:188</a></div></div>
<div class="ttc" id="aclass_animal_base_html"><div class="ttname"><a href="../../d4/d8f/class_animal_base.html">AnimalBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00065">AnimalBase.c:66</a></div></div>
<div class="ttc" id="aclass_animal_base_html_a7ca87ef3faeaf3ec7d09cd42a5c68d63"><div class="ttname"><a href="../../d4/d8f/class_animal_base.html#a7ca87ef3faeaf3ec7d09cd42a5c68d63">AnimalBase::ReleaseSound</a></div><div class="ttdeci">override string ReleaseSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00083">AnimalBase.c:83</a></div></div>
<div class="ttc" id="aclass_animal_base_html_a8588a83bf8022cdc0bcbbb0c73d58dc5"><div class="ttname"><a href="../../d4/d8f/class_animal_base.html#a8588a83bf8022cdc0bcbbb0c73d58dc5">AnimalBase::CaptureSound</a></div><div class="ttdeci">override string CaptureSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00078">AnimalBase.c:78</a></div></div>
<div class="ttc" id="aclass_animal_base_html_aa2efc8ed62d531b0a2c88cc5696821ec"><div class="ttname"><a href="../../d4/d8f/class_animal_base.html#aa2efc8ed62d531b0a2c88cc5696821ec">AnimalBase::RegisterHitComponentsForAI</a></div><div class="ttdeci">override void RegisterHitComponentsForAI()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00067">AnimalBase.c:67</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html">DayZAIHitComponentHelpers</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00008">DayZAIHitComponents.c:9</a></div></div>
<div class="ttc" id="aclass_day_z_a_i_hit_component_helpers_html_ae1dc9c959de0e6214f40746974daaa9e"><div class="ttname"><a href="../../dd/d6d/class_day_z_a_i_hit_component_helpers.html#ae1dc9c959de0e6214f40746974daaa9e">DayZAIHitComponentHelpers::RegisterHitComponent</a></div><div class="ttdeci">static void RegisterHitComponent(array&lt; ref DayZAIHitComponent &gt; pHitComponents, string pName, float pWeight)</div><div class="ttdoc">Register Hit Component for AI targeting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d58/_day_z_a_i_hit_components_8c_source.html#l00021">DayZAIHitComponents.c:21</a></div></div>
<div class="ttc" id="aclass_day_z_animal_html"><div class="ttname"><a href="../../d1/dcc/class_day_z_animal.html">DayZAnimal</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00001">AnimalBase.c:2</a></div></div>
<div class="ttc" id="aclass_day_z_animal_html_af9d7f2faa8812c46403f617180dcb40b"><div class="ttname"><a href="../../d1/dcc/class_day_z_animal.html#af9d7f2faa8812c46403f617180dcb40b">DayZAnimal::IsRefresherSignalingViable</a></div><div class="ttdeci">override bool IsRefresherSignalingViable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db7/_animal_base_8c_source.html#l00003">AnimalBase.c:3</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a453dfc47b8cac672c5fa19d41e093812"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a453dfc47b8cac672c5fa19d41e093812">m_DefaultHitPositionComponent</a></div><div class="ttdeci">protected string m_DefaultHitPositionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00561">dayzplayer.c:561</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a4cf6d464f2dcc2ba86c93778d297a683"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a4cf6d464f2dcc2ba86c93778d297a683">m_HitComponentsForAI</a></div><div class="ttdeci">protected ref array&lt; ref DayZAIHitComponent &gt; m_HitComponentsForAI</div><div class="ttdoc">Melee hit components (AI targeting)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00559">dayzplayer.c:559</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a63b07faaf1e23e09aa93602a6b2c0a67"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a63b07faaf1e23e09aa93602a6b2c0a67">m_DefaultHitComponent</a></div><div class="ttdeci">protected string m_DefaultHitComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00560">dayzplayer.c:560</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_4b811ae0bf3c333140a738d6ca8e8666.html">Creatures</a></li><li class="navelem"><a class="el" href="../../dir_6ea09ddb0a5733030909af0399a514ee.html">Animals</a></li><li class="navelem"><a class="el" href="../../de/db7/_animal_base_8c.html">AnimalBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
